I can't use it now! Rated 5 out of 5 stars

this add is very important for me, but now I can't install it! my firefox version is 14.0a1 nightly, pls fix it to me!

This review is for a previous version of the add-on (1.1.1-signed).